Packages - Bug #3453

[epiphany]: v43 broken with nonsystemd
2023-03-15 12:42 AM - bill-auger

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

console just spews these errors repeatedly

(WebKitWebProcess:2): GLib-GIO-CRITICAL **: 20:38:48.511: g_dbus_connection_get_unigque_name: asser
tion 'G_IS_DBUS_CONNECTION (connection)' failed

(epiphany:23243) : epiphany-WARNING **: 20:38:48.514: Web process crashed

maybe dbus needs an update or tweaking?

History

#1 - 2023-03-15 12:44 AM - bill-auger
- Subject changed from [epiphany]: broken with nonsystemd to [epiphany]: v43 broken with nonsystemd

v42 still works with nonsystemd, so i moved it from [libre] to [nonsystemd], to make room for v43 in [libre], which works fine with systemd

#2 - 2023-03-24 02:05 AM - bill-auger

- Status changed from confirmed to forwarded upstream

i messed with this quite a bit - i think it is a bug upstream; so i necro-bumped a BR that was opened a few months ago by a slackware user - that BR
was closed, stating that the problem was in webkit; but the webkit BR was also closed with a fix months ago (several webkit versions ago)
https:/gitlab.gnome.org/GNOME/epiphany/-/issues/1856

#3 - 2023-04-03 01:27 AM - bill-auger
- Assignee set to bill-auger

- Status changed from forwarded upstream to in progress

turns out, the problem was not in epiphany or webkit, but in libportal - the bug is supposedly fixed upstream; but libportal has not had a release since
then - i forked the package in [nonsystemd], and applied an emergency patch for now

#4 - 2023-04-03 02:17 AM - bill-auger

- Status changed from in progress to fixed
